%define upstream_name	 Authen-PAM
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:	Perl interface to the PAM library
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	pam-devel
BuildRequires:  perl-devel


%description
The Authen::PAM module provides a Perl interface to the PAM library.
The only difference with the standard PAM interface is that the perl
one is simpler.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/auto/Authen/*
%{perl_vendorarch}/Authen/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-16.mga6
+ Revision: 1022612
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.160.0-15.mga6
+ Revision: 956734
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 0.160.0-14.mga6
+ Revision: 846048
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 0.160.0-13.mga6
+ Revision: 844732
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.160.0-12.mga6
+ Revision: 841127
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-11.mga5
+ Revision: 747478
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-10.mga5
+ Revision: 683571
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.160.0-9.mga5
+ Revision: 630817
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-8.mga4
+ Revision: 524720
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.160.0-7.mga4
+ Revision: 431372
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-6.mga3
+ Revision: 363240
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.160.0-5.mga3
+ Revision: 250272
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 0.160.0-4.mga2
+ Revision: 103455
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-3.mga1
+ Revision: 32724
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-2.mga1
+ Revision: 29801
- mageia rebuild
- imported package perl-Authen-PAM


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.160.0-2mdv2011.0
+ Revision: 564358
- rebuild for perl 5.12.1

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.1
+ Revision: 406837
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.16-6mdv2009.1
+ Revision: 351671
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.16-5mdv2009.0
+ Revision: 223565
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.16-4mdv2008.1
+ Revision: 151345
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 0.16-3mdv2008.0
+ Revision: 67587
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.16-2mdv2007.0
+ Revision: 108547
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Authen-PAM

* Tue Oct 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- 0.16
- fix url

* Sat Jun 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-2mdk
- Rebuild

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.15-1mdk
- 1.15

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.14-5mdk
- Rebuild for new perl

* Wed Apr 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.14-4mdk
- rebuild for new perl

